Tidyverse not installing on RStudio

Hello house, I am new on RStudio, and have been trying to install the "tidyverse" package. It is not installing. what am I not doing right?
install.packages("tidyverse")

What are the error messages you got with install.packages("tidyverse"), and what do you get from

sessionInfo()

ERROR: dependencies 'broom', 'dbplyr', 'forcats', 'ggplot2', 'googledrive', 'googlesheets4', 'modelr', 'reprex', 'rvest' are not available for package 'tidyverse'

  • removing 'C:/Users/DELL USER/Documents/R/win-library/3.6/tidyverse'

Please post the complete console output you get when you try to install the package, you are omitting the useful parts

If you do not need to use a specific version of R, perhaps updating it to the latest version may help.

Installing an updated version solved the problem. Thanks a bunch.